#
# spec file for package timewarrior
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           timewarrior
Version:        1.2.0
Release:        bp153.1.16
Summary:        Command line time tracker
License:        MIT
Group:          Productivity/Office/Organizers
URL:            http://taskwarrior.org/docs/timewarrior/
Source:         https://github.com/GothenburgBitFactory/timewarrior/releases/download/v%{version}/timew-%{version}.tar.gz
Patch0:         timewarrior-build-compare.patch
BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++ >= 4.7

%description
Timewarrior is a command line time tracking application, which allows you to
record time spent on activities.

%prep
%setup -q -n timew-%{version}
%patch0 -p1

%build
%cmake \
	-DTIMEW_DOCDIR=%{_datadir}/%{name} \
	.
%cmake_build

%install
%cmake_install
pushd %{buildroot}%{_datadir}/%{name}
rm -fv AUTHORS ChangeLog COPYING INSTALL LICENSE NEWS README.md
chmod -v a+x ext/*
popd

%files
%license COPYING LICENSE
%doc ChangeLog AUTHORS NEWS README.md
%{_bindir}/timew
%{_mandir}/man1/timew.*
%{_mandir}/man1/timew-*
%{_mandir}/man7/timew-*
%{_datadir}/%{name}

%changelog
* Thu Feb  6 2020 Ondřej Súkup <mimi.vx@gmail.com>
- cleanup specfile
* Thu Dec 26 2019 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Update to 1.2.0. Full changelog available at https://github.com/GothenburgBitFactory/timewarrior/blob/1.2.0/ChangeLog
- Changed source url to GitHub
* Mon Mar 18 2019 Michal Vyskocil <mvyskocil@opensuse.org>
-  Update to 1.1.1
  - Taskwarrior integration hook now uses a project 'Home.Garden' as a single
    tag 'Home.Garden' as well as individual 'Home', 'Garden' tags.
  - Taskwarrior integration hook now stops the clock in more situations, such
    as deleting or waiting a task.
  - The 'tags' command now supports filters.
  - New date names supported (see 'timew help date' or 'man timew').
  - Timewarrior and Taskwarrior now use the same date handling.
  - The 'continue' command can resume tracking by @id.
  - When specifying a time without a date (e.g. '10:00am'), the day is assumed
    to be today, and is no longer projected back in time.
* Wed Nov  9 2016 olaf@aepfle.de
- Initial version 1.0.0
  timewarrior-build-compare.patch
